Crashpad

Namespaces | Typedefs | Enumerations
symbolic_constants_common.h File Reference

## Namespaces
| crashpad
| The main namespace.

## Typedefs
using | crashpad::SymbolicConstantToStringOptions = unsigned int
| A bitfield containing values of SymbolicConstantToStringOptionBits.
using | crashpad::StringToSymbolicConstantOptions = unsigned int
| A bitfield containing values of StringToSymbolicConstantOptionBits.

## Enumerations
enum | crashpad::SymbolicConstantToStringOptionBits
| Options for various `*ToString` functions in `symbolic_constants_*` files. More...
enum | crashpad::StringToSymbolicConstantOptionBits
| Options for various `StringTo*` functions in `symbolic_constants_*` files. More...

## Detailed Description

# Symbolic constant terminology

Family
  A group of related symbolic constants. Typically, within a single family, one function will be used to transform a numeric value to a string equivalent, and another will perform the inverse operation. Families include POSIX signals and Mach exception masks.
Full name
  The normal symbolic name used for a constant. For example, in the family of POSIX signals, the strings `"SIGHUP"` and `"SIGSEGV"` are full names.
Short name
  An abbreviated form of symbolic name used for a constant. Short names vary between families, but are commonly constructed by removing a common prefix from full names. For example, in the family of POSIX signals, the prefix is `SIG`, and short names include `"HUP"` and `"SEGV"`.
Numeric string
  A string that does not contain a full or short name, but contains a numeric value that can be interpreted as a symbolic constant. For example, in the family of POSIX signals, `SIGKILL` generally has value `9`, so the numeric string `"9"` would be interpreted equivalently to `"SIGKILL"`.